%define pypi_name h11

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 6
Group:          Development/Python
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
License:        MIT
URL:            https://pypi.org/project/h11
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%package -n python3-%{pypi_name}
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
Group:          Development/Python

%description -n python3-%{pypi_name}
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files h11

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Tue Feb 25 2025 wally <wally> 0.14.0-6.mga10
+ Revision: 2152271
- rebuild for python3.13

* Mon Dec 25 2023 papoteur <papoteur> 0.14.0-5.mga10
+ Revision: 2021286
- rebuild again for python 3.12

* Tue Dec 12 2023 papoteur <papoteur> 0.14.0-4.mga10
+ Revision: 2017554
- rebuild for python 3.12

* Sun Dec 10 2023 wally <wally> 0.14.0-3.mga10
+ Revision: 2016831
- rebuild for py3.12
- use pyproject rpm macros

* Sat Dec 09 2023 wally <wally> 0.14.0-2.mga10
+ Revision: 2016445
- rebuild for py3.12

* Sat Jan 14 2023 guillomovitch <guillomovitch> 0.14.0-1.mga9
+ Revision: 1933048
- new version 0.14.0

* Wed Mar 23 2022 umeabot <umeabot> 0.13.0-2.mga9
+ Revision: 1823094
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.13.0-1.mga9
+ Revision: 1779717
- version 0.13.0
- rebuild python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.12.0-2.mga9
+ Revision: 1705037
- rebuild for python 3.9

* Sat Jan 02 2021 guillomovitch <guillomovitch> 0.12.0-1.mga8
+ Revision: 1668287
- new version 0.12.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 0.11.0-1.mga8
+ Revision: 1643737
- new version 0.11.0

* Thu Jul 23 2020 ovitters <ovitters> 0.9.0-4.mga8
+ Revision: 1608274
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1532608
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.9.0-2.mga8
+ Revision: 1442526
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.9.0-1.mga8
+ Revision: 1417233
- new version 0.9.0

* Tue Jan 08 2019 tv <tv> 0.8.1-1.mga7
+ Revision: 1351866
- new release (needed for python-wsproto)

* Mon Jan 07 2019 kekepower <kekepower> 0.7.0-3.mga7
+ Revision: 1351372
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1288932
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 guillomovitch <guillomovitch> 0.7.0-1.mga7
+ Revision: 1189360
- imported package python-h11

